[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.Loaded

Performs actions needed when LCL component streaming has been completed.

## Declaration

Source position: comctrls.pp line 2171

`protected procedure TToolButton.Loaded; override;`

## Description

Calls the inherited method on entry. Calls CopyPropertiesFromMenuItem to apply values from MenuItem to the properties in the class instance.

## See also

TToolButton.MenuItem |  | Contains a menu item associated with the tool button.
TToolButton.CopyPropertiesFromMenuItem |  | Copies properties from the specified menu item.
TControl.Loaded |  | Performs actions needed when LCL component streaming has been completed.
TMenuItem |  | Represents a menu item displayed in a menu.